PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections/tiny-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"name": "example-collection",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 3075398,
"vector_count": 99,
"dimension": 1536
}
Backups
Describe a collection
Get a description of a collection. Serverless indexes do not support collections.
GET
/
collections
/
{collection_name}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections/tiny-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"name": "example-collection",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 3075398,
"vector_count": 99,
"dimension": 1536
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections/tiny-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"name": "example-collection",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 3075398,
"vector_count": 99,
"dimension": 1536
}
Authorizations
Headers
Required date-based version header
Path Parameters
The name of the collection to be described.
Response
Configuration information and status of the collection.
The CollectionModel describes the configuration and status of a Pinecone collection.
The name of the collection.
Example:
"example-collection"
The status of the collection.
Possible values: Initializing, Ready, or Terminating.
Example:
"Initializing"
The environment where the collection is hosted.
Example:
"us-east1-gcp"
The size of the collection in bytes.
Example:
10000000
The dimension of the vectors stored in each record held in the collection.
Required range:
1 <= x <= 20000Example:
1536
The number of records stored in the collection.
Example:
120000
Was this page helpful?
⌘I